org.apache.ignite.mxbean

## Interface WorkersControlMXBean

All Known Implementing Classes:
  WorkersControlMXBeanImpl

    @MXBeanDescription(value="MBean that provides ability to terminate worker that registered in the workers registry.")
    public interface WorkersControlMXBean

MBean that provides ability to terminate worker that registered in the workers registry.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<String>` `getWorkerNames()` Returns names of all registered workers.
`boolean` `stopThreadById(long id)` Stops thread by `id`, if exists.
`boolean` `stopThreadByUniqueName(String name)` Stops thread by `name`, if exists and unique.
`boolean` `terminateWorker(String name)` Terminates worker.

### Method Detail

#### getWorkerNames

    @MXBeanDescription(value="Names of registered workers.")
    List<String> getWorkerNames()

Returns names of all registered workers.

Returns:
  Worker names.

#### terminateWorker

    @MXBeanDescription(value="Terminates worker.")
     @MXBeanParametersNames(value="name")
     @MXBeanParametersDescriptions(value="Name of worker to terminate.")
    boolean terminateWorker(String name)

Terminates worker.

Parameters:
  `name` - Worker name.
Returns:
  `True` if worker has been terminated successfully, `false` otherwise.

#### stopThreadByUniqueName

    @MXBeanDescription(value="Stops thread by unique name.")
     @MXBeanParametersNames(value="name")
     @MXBeanParametersDescriptions(value="Name of thread to stop.")
    boolean stopThreadByUniqueName(String name)

Stops thread by `name`, if exists and unique.

Parameters:
  `name` - Thread name.
Returns:
  `True` if thread has been stopped successfully, `false` otherwise.

#### stopThreadById

    @MXBeanDescription(value="Stops thread by id.")
     @MXBeanParametersNames(value="id")
     @MXBeanParametersDescriptions(value="Id of thread to stop.")
    boolean stopThreadById(long id)

Stops thread by `id`, if exists.

Parameters:
  `id` - Thread id.
Returns:
  `True` if thread has been stopped successfully, `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019